<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".ui.activity.download.WebDownloadManagerActivity">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|start"
            android:layout_marginVertical="10dp"
            android:layout_marginStart="10dp">

            <FrameLayout
                android:id="@+id/fl_fanhui"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="10dp">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@mipmap/h_fanhui"
                    tools:ignore="ContentDescription" />

            </FrameLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:text="Download"
                android:textSize="19sp"
                android:textStyle="bold"
                tools:ignore="HardcodedText" />

        </LinearLayout>

        <ImageView
            android:id="@+id/iv_delete"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical|end"
            android:layout_marginEnd="16dp"
            android:enabled="false"
            android:src="@drawable/bg_delete_download"
            tools:ignore="ContentDescription" />

    </FrameLayout>


    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
            tools:listitem="@layout/item_download" />

        <LinearLayout
            android:id="@+id/ll_empty"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="30dp"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:src="@mipmap/downloadicon"
                tools:ignore="ContentDescription" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="10dp"
                android:text="No download record"
                android:textColor="#545456"
                tools:ignore="HardcodedText" />

            <TextView
                android:id="@+id/tv_how_use"
                android:layout_width="259dp"
                android:layout_height="50dp"
                android:layout_gravity="center"
                android:layout_marginTop="22dp"
                android:background="@drawable/bg_0571ed_25"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center"
                android:text="How to download videos"
                android:textColor="@color/white"
                android:textSize="18sp"
                tools:ignore="HardcodedText" />

        </LinearLayout>
    </FrameLayout>

</LinearLayout>